Subject: Re: bug#73853: 31.0.50; Should and-let* become a synonym for when-let*?

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Oct 2024 10:32:12 -0400

>> I'll let you guess where I stand w.r.t to naming of `when-let` vs
>> `when-let*`, based on the fact that I originally implemented `dlet` with
>> the semantics of `let*`.  🙂
>
> Your timing of mentioning such things still has an epsilon of room for
> improvement.

FWIW, in my ideal world, `let` would have the semantics of the current
`let*`, and for those few cases where we do want the "parallel"
semantics, we'd have a special `let-parallel` or something.
But this is not really an option at this point.

For that same reason, while I'd prefer the `when-let` name with the
`when-let*` semantics, I think this won't fly.  Just as happened with
`dlet` it would be changed in due time either by adding a `*` or by
changing the semantics.

        Stefan